#!/bin/sh

name="gpgme"
title="GnuPG Made Easy"
package="gpgme"
version="0.4.0"
build="1"
noarch="n"
build_info="Standard build."

info="A library for easy access to GnuPG."
desc="GnuPG Made Easy (GPGME) is a library designed to make access
to GnuPG  easier for applications. It provides a High-Level
Crypto API for encryption, decryption, signing, signature
verification and key management. Currently it uses GnuPG as
it's backend but the API isn't restricted to this engine; in
fact it is planned to add other backends to it. "
category="security/cryptography"
environment="library"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires="gnupg"
obsoletes=""
conflicts=""

docs_source="AUTHORS,ChangeLog,COPYING,INSTALL,NEWS,README,README-alpha,TODO,THANKS"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.gnupg.org/gcrypt/alpha/gpgme/$name-$version.tar.gz

configure_option --prefix=/usr

make_option docdir=/usr/doc/$name-$version

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

subpackage devel

make_package main
make_package devel

clean_up

# $Log: gpgme.builder,v $
# Revision 1.5  2003/01/04 17:44:35  swiergot
# - Build 1.
#
# Revision 1.4  2003/01/04 17:15:53  swiergot
# - Version 0.4.0.
#
# Revision 1.3  2003/01/04 16:57:39  swiergot
# - Version 0.3.14.
#
# Revision 1.2  2002/12/26 14:27:00  stoodi
# - Build 1.
#
# Revision 1.1  2002/12/26 13:22:04  stoodi
# - Initial release.
# - Version 0.3.12.
#
